Can't run Homebrew O3DS 6.1.0-12U

Discussion in '3DS - Homebrew Development and Emulators' started by BlackStarDark, Mar 18, 2016.

  1. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    I recently purchased an O3DS (Pokemon X and Y version) which comes with 6.1.0-12U sysnand, however whenever I try running homebrew through browserhax, the browser either runs into the yellow screen and crashes, or doesn't even get to yellow screen and crashes.

    I tried doing the following already:
    •Deleting boot.3dsx and copying it again (Tried both the same boot file and the one that comes in the starter kit on smealum's website)
    •Clearing Save data on browser around 20 times so far and still no change at all
    •Running a game and trying to run the exploit aswell

    Is there anything I'm doing wrong? I'm really getting desperate since I purchased this console ONLY to run homebrew and gateway on it, as my main console is on 10.3 running homebrew atm.
     
  2. Minnow

    Minnow GBAtemp Fan

    Member
    462
    710
    Oct 5, 2015
    Canada
    I don't think homebrew payload's are compatible below 9.0.
     
    Hoppy likes this.
  3. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    So is there any possible way to update my console to 9.0? or I'm pretty much screwed (?)
     
  4. VaiCorunthians

    VaiCorunthians GBAtemp Fan

    Member
    457
    214
    Oct 7, 2014
    Brazil
  5. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
  6. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    There's a gateway exploit for those older firmwares. However, you don't need to wait for the gateway (nor do you even need a gateway for anything whatsoever in this day and age, but I digress). This guide can get you to 9.2 right now:

    https://github.com/Plailect/Guide/wiki/9.2.0-Update

    Just be sure to use the o3ds firmware pack for the upgrade and not the n3ds stuff.
     
  7. Manuel9181

    Manuel9181 GBAtemp Prosecutor

    Member
    345
    98
    May 26, 2015
    Italy
    You can't use GW to update your console. Also, but this is just my opinion, you should consider to install a CFW (custom firmware) on your console and save your money. Nowadays CFWs are equivalent if not better then GW and SKY3ds. Personally I bought a gateway cartbridge one year ago and are months that it is on my desk gathering dust.
     
    Last edited by Manuel9181, Mar 19, 2016
  8. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    So I just need rxtools and FBI to install sysupdater CIA in order to upgrade my Old3ds to 9.0 / 9.2 and then install a CFW from there.
    I'm really new to CFW anyways, what are the features of it and what can be done? is it possible to set emunand or the CFW itself just lets you play online by removing some sort of protection (?)

    EDIT: And above all, is updating my system via sysupdater safe? I mean in most tutorials people claim that you should only use your own backups to do so, that's the only thing I fear.

    EDIT2: Guess that if I can setup a CFW going I'll just sell my unopened Gateway cart for major profit, as where I live it's almost impossible to get one to the point I had to travel to italy to get one.
     
    Last edited by BlackStarDark, Mar 19, 2016
  9. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    The idea is that you keep your sysnand on 9.2 but then create an emunand which you use with cfw. The emunand can be whatever version you want it to be, so you can update it to 10.7 and go online and do everything.

    Or if you go the arm9loaderhax route, you can eventually run cfw on your sysnand on 10.7 as well.
     
  10. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    Kay then, ima read the guide you linked me and after that is done I'll just set up a CFW ;)

    EDIT: Some guides don't mention decrypt9 on them, what is the main use of that file or app ?
    EDIT2:; Nevermind, figured out lol.-
     
    Last edited by BlackStarDark, Mar 19, 2016
  11. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    Cool. Again, just be sure not to use the n3ds 9.2 pack for the upgrade since you say you have an o3ds. Already saw a few people make that mistake before.
     
  12. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    Got it.
    I should be using this one:
    [​IMG]
    Right ?
     
    FenrirWolf likes this.
  13. Manuel9181

    Manuel9181 GBAtemp Prosecutor

    Member
    345
    98
    May 26, 2015
    Italy
    You need to use sysupdater.cia in order to update your console, not FBI. About the features of CFWs, they are pretty much the same of GW except that you have to install your games on your emuNand in order to play them. However, installng your games (in .cia format) it's the safest way to play your 3ds "backups" without the risk of being banned by Nintendo. To set up a CFW you can follow alternatively this guide (easy and pretty much noob-proof) or the one posted by @FenrirWolf (harder but if followed with success, you'll set up the best mod for 3ds atm).
     
    Last edited by Manuel9181, Mar 19, 2016
  14. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    Also just on a side note, instead of installing sysupdater I should install the homebrew CIA to use sysupdater from there? or should I just go with sysupdater CIA ?
     
  15. Manuel9181

    Manuel9181 GBAtemp Prosecutor

    Member
    345
    98
    May 26, 2015
    Italy
    You have to install sysupdater.cia at your sysNand and launch it while you are on DEVMODE/PASTAMODE.
     
  16. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    Kay thanks then ima get the latest sysupdater cia and do it all tomorrow, will let you know any update on it ^^
     
  17. Manuel9181

    Manuel9181 GBAtemp Prosecutor

    Member
    345
    98
    May 26, 2015
    Italy
    KK, just be sure to launch sysupdater.cia while you are on DEVMODE/PASTAMODE and not while you are on rxsysNand or you'll brick your console 100%. While you'll run the upgrade don't even touch your 3ds (closing it during this process will cause a brick too). Double-triple check if the 9.2 package which you are going to use is for o3ds or n3ds and if it's for the correct region (probably USA in your case). At end of the upgrade's process your console'll reboot itself automatically. If you'll have a black screen as result of this reboot, you'll have to power off your console again and reboot it without the sd inserted. If it'll turns on, you'll have to change the theme of your home menu and/or delete the folder called "extdata" placed into your sd at path: SD/Nintendo 3ds/(random numbers and letters folder)/(random numbers and letters folder).
     
    Last edited by Manuel9181, Mar 19, 2016
  18. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    Oh, and a last question, should I get the OTP by downgrading or should I just install the CFW and don't touch anything?
     
  19. Purge

    Purge GBAtemp Regular

    Member
    195
    72
    Feb 24, 2016
    United States
    That would depend on whether or not you think a9lh is worth the hassle. I suggest u read up on what it is and what it can do, and then decide.
     
  20. BlackStarDark
    OP

    BlackStarDark Member

    Newcomer
    33
    3
    Jan 17, 2016
    Kyoto-
    Well according to the rough info, it's something that grants you 100% boot rate and a faster loading of your emunand, almost as fast as your sysnand.
    Also it claims it's gonna make players able to unbrick console using some sort of bootloader in the near future and that's what really got my attention. but the process itself is quite complicated and could lead to bricks itself, not really sure if it's worth the hassle .